Go Down

Topic: IDE 1.8.0 Released -- update: 1.8.10 (Read 149205 times) previous topic - next topic

Pascal0776

I also tried to install the Arduino IDE today in version 1.8.10.

Didn't use ist for long time. There is named icon appearing on the desktop, but does not work!

Workaroud: What's the usual command or script used for starting the IDE?

I may help debugging it.

Ubuntu 19.04 - xfce desktop - 32 bit

> uname -a
Linux xcube 5.0.0-30-generic #32-Ubuntu SMP Wed Sep 18 00:21:33 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Thanks,
Pascal
from Germany

SeaSunArDN

Unvailable in MacOS 10.15 Catalina?

BOBILLIER

Hello
Timestamp option in serial monitor seem disapaered in 1.8.10 windows version. Why?
Eric

UKHeliBob

Hello
Timestamp option in serial monitor seem disapaered in 1.8.10 windows version. Why?
Eric
It's there for me (Win 10)
Please do not send me PMs asking for help.  Post in the forum then everyone will benefit from seeing the questions and answers.

Mark_Bresler

 Like previous post: Unvailable in MacOS 10.15 Catalina?

I have trouble as well, When I try to open I get an alert box that states:

"Arduino" cannot be opened because Apple cannot check it for malicious software. Contact the developer for more information


What should I do? Thanks

UKHeliBob

Quote
What should I do?
Buy a Windows PC  :)
Please do not send me PMs asking for help.  Post in the forum then everyone will benefit from seeing the questions and answers.

Jsys

Latest Arduino IDE v1.8.10 desktop fails on Mac OS X v10.9.5 (Mavericks)

[nobbc]
ARDUINO 1.8.10 2019.09.13

....
Hello Everyone,

I have looked for a report about this - but failed to find any mentions - if I missed such a report let me know.

The problem: I am a fairly long time Arduino hardware-family user who has been a happy user of the Arduino IDE until Desktop version 1.8.10 - running on a Mac with OS X v10.9.5 (Mavericks), which now fails to compile (any) sketches, such as the Basic "Blink" sketch, as an example.

For more details - and the errors - see this thread:  https://forum.arduino.cc/index.php?topic=643422.0  

pert

Like previous post: Unvailable in MacOS 10.15 Catalina?

I have trouble as well, When I try to open I get an alert box that states:

"Arduino" cannot be opened because Apple cannot check it for malicious software. Contact the developer for more information


What should I do? Thanks
See: https://github.com/arduino/Arduino/issues/9314

jwalters1955


Using Raspberry Pi 3 B+ and 64bit Arm version of 1.8.10;

Had 1.8.8 running quite happily on the Pi. Foolishly tried to update to 1.8.10 and broke everything.

Running ./install.sh from a shell fails because of write access to /usr/local/..etc....

$ su ./install.sh gets further but fails at "#Install using xdg-utils" with the error;

cannot touch '/root/.local/share/applications/mimeapps.list' : no such file.

Looking at install.sh this error is obvious because it runs xdg-mime as the native user which, since we ran the script under 'sudo' is root. Changing this line to;

su ${SUDO_USER} xdg-mime default ${RESOURCE_NAME}.....etc....

allowed the installation script to complete.

NOW, however, if I click on the "Arduino" icon in menu/Programming I get a timer icon for about 45 seconds then it disappears.

If I try to run it from a command line I get;

/usr/local/bin/arduino: line 35: /home/john/Downloads/arduino-1.8.10/java/bin/java: cannot execute binary file: Exec format error.

Now completely stumped as to what's going wrong and project stopped because I no longer have a development tool.

I've tried to uninstall and re-install it but to no avail

Someone help!!!

UKHeliBob

Can you download and install 1.8.8 ?

I am a Windows user so cannot be of much help, but when I tentatively decided to install 1.8.10 I did it from the zip file rather than the Windows installer so that the new installation did not write over the previously installed version

Can you do something similar with Linux ?
Please do not send me PMs asking for help.  Post in the forum then everyone will benefit from seeing the questions and answers.

Bobsloginid

I installed 1.8.10 on Windows 10 Home via the Windows installer.  When I tried to compile a sketch, I got messages that several duplicate #include files had been found (two of mine plus "Wire.h") and that one of them (in an unknown directory) had been used.  Windows search couldn't find more than one.  I reinstalled 1.8.9 and the problem disappeared.

databill

I made programs with 1.8.5, then I updated to 1.8.10. Now I cannot download my programs to the controller (NANO). It says cannot connect.
BTW, I don't wana 'githup'! It refuses to talk to me in IExplorer.

ballscrewbob

@databill

There seems to have been some issues with 1.8.10
best bet is  to roll back to 1.8.9.

Also if you are using clone NANO dont forget to select OLD BOOTLOADER which helps most people.

Additional material below.


Please
READ THIS POST to help you get the best out of the forum.

SIMPLE TROUBLESHOOTING.

These steps may also save you some unnecessary time and effort in the forum.

  • Always provide as much detail as possible to your issue it may be important.
  • If applicable provide your SKETCH inside CODE TAGS ( </> ) or a CREATE share link.
  • If applicable provide a schematic even if hand drawn.
COMMON ISSUES
  • Check you have a COMMON GROUND where required.
  • Where possible use USB 2.0 ports or a USB 2.0 POWERED HUB to rule out USB 3.0 issues.
  • Try other computers where possible.
  • Try other USB leads where possible.
  • You may not have the correct driver installed. CH340/341 or CP2102
  • There may be a problem with the board check your wiring first.
  • Remove any items connected to pins 0 and 1.
COMPUTER RELATED
  • Ensure you turn off any additional security / antivirus just to test.
  • There may be a problem with the PC try RESTARTING it.
  • You may be selecting the wrong COM port.
  • Avoid cloud/network based installations where possible OR ensure your Network/Cloud software is RUNNING.
  • Clear your browsers CACHE.
  • Close the IDE before using any other serial programs.
  • Preferably install IDE's as ADMINISTRATOR or your OS equivalent

Performing the above actions may help resolve your problem without further help.


Bob.
 
It may not be the answer you were looking for but its the one I am giving based on either experience, educated guess, google or the fact that you gave nothing to go with in the first place so I used my wonky crystal ball.

kenneth558

#373
Nov 16, 2019, 02:52 pm Last Edit: Nov 16, 2019, 05:39 pm by kenneth558
Rolling back to 1.8.9 after trying 1.8.10 because:

Serial Plotter operation too different and seemingly without documentation on said differences.  Plotter in previous versions used to ignore all text except digit strings separated by whitespace.  All my sketches took advantage of that to output troubleshooting text along with plot points.  The plot point colors in 1.8.10 Plotter aren't coherent with the colors of previous versions of IDE Plotter in a way or ways I'm not discerning.  If the Plotter is going to change that drastically, I'd like some documentation, please.

OS: Linux Mint 18.1

Just wanting devs  to know....

pert

So I recently installed and reinstalled and essentially done everything I can think of to try to get my code to work. Not even my professor can figure out why it won't work so let's come here. Here is my code and as follows is the error if there is anything anyone can do to help let me know.
Which operating system are you using?

Go Up